Version 1.2.815
          - pan scan settings are now remembered
          - fixed some problems with file association
          - fixed bug in skin engine, some skins were not properly loaded
          - fixed -nsub command line option, was working properly only for current file
          - fixed some problems with subtitles, last line was still visible in some cases after subtitles were turned off
          - some changes in subtitle loading, added more strict checking, so subtitle for another movie shouldn't be loaded anymore
          - some other bug fixes and internal changes
          + added more friendly interface to bspfilters.dat and improved filter management a lot,
            it 's now possible to define black list (filters in black list won't loaded), white list (only filters in white list will be used), 
            VSFilter and similar filters will now be loaded (optional), it's also possible to define which filter
            will be used for playing specified media type, you can also register, unregister filters and set merit from BSplayer
          + added support for Audio CDs and CDDB
          + added option to set default audio stream, by index and iso-6392 language code (language code only for mkv files)
          + added option to define more subtitle paths, path can also be relative (ex. '..\subtitles')
          + added option to set default subtitle, by index and iso-6392 language code (language code only for mkv files)
          + added option to set default audio stream for every item in playlist
Version 1.1.814
          - when changing skins volume was displayed as 0, fixed
          - '-pan' command line options was broken, fixed
          - '-ar'  command line options was broken, fixed
          - when 'desktop mode' was used double click on tray icon would turn it off, fixed
          - previous state (full screen or not) is now remembered when switching desktop mode on/off
          - fixed problem when 'always on top' was enabled and 'boss' key was configured to minimize player (it wasn't possible to click anywhere except BSPlayer tray icon)
          - subtitle names are now properly shown in AVI files with embedded subtitles
          - some subtitle bugs fixes
          + added MPEG audio channel selection
          * movie window position saving is now optional
          * some VMR9 changes
Version 1.02.812
          - fixed problem with full screen skins in old format, movie time wasn't displayed
          - fixed problems with some skins in old format ('unsupported skin format' message)
          - when subtitles was turned off, last line was still visible, fixed
          - fixed some problems with external audio files, when video was w/o audio stream
          - custom aspect ratio settings were lost after restart, fixed
          - fixed problem with playlist 'randomize' function
          - fixed problem with LIGOS MPEG2 decoders
          - fixed bug with VMR9 renderless mode, problems with full screen mode on secondary monitor
          - some other bug fixes
Version 1.01.811
          - EQ preamp value is now remembered
          - fixed bug with playlist when realative paths were used
          - fixed problem with smooth scroll (BSplayer enabled it at start)
          - fixed some problems with mpeg2 files
          - fixed problem with aspect ratio when window was moved to other monitor
          - fixed strange bug with playlist in Win 9x (explorer or any other program crashed when playlist was open)
          - if subtitles were disabled, embeded subtitles were still loaded, fixed
          - some workarounds for problem with Norton antivirus
          - some other bug fixes
          * autoplay option is now acting as in previous versions
          * full screen skin can now be on top and bottom, also base skin have now full screen skin
          + added font smoothing option for subtitles
          + added 'boss' button function
          + added VMR9 renderless mode and subtitle support, subtitles are now supported with VMR 9
          + it's now possible to define every shortcut as global
          + added 'movie mode' function (M), it will put movie at top, subtitles at bottom and enable pan-scan as needed
Version 1.00.810
          - shortcut for EQ wasn't working, fixed
          - OSD position wasn't working when option 'Draw OSD messages to overlay' was checked, fixed
          - audio stream names in Matroska files are now properly displayed
          - fixed some bugs with ini/bsi files
          - Matroska chapters will now be loaded in bsi files
          - subtitle time correction was broken, fixed
          - fixed problem with DV Type 1 files
          - fixed some problems with OGM files (crash if subtitles were disabled)
          - fixed problem with LPCM audio in VOB files
          - subtitle time correction was broken, fixed
Version 1.00.809
          - Fixed problem with Matroska files with only audio streams
          - Sometimes audio stream names with Ogg files was corrupted, fixed
          - Selected audio output device will now be remembered when switching audio streams
          - Sometimes skin would revert back to base skin, should be fixed now
          - Fixed problem with freezing when seeking
          - Movie length was displayed as 0 after stop, fixed
          - Last subtitle line was still displayed after switching subtitles off, fixed
          - AC3 filter will be visible now in filter list
          - If video window was left on secondary monitor and in full screen mode, position wasn't remembered, fixed
          - chapters from ini files should now be read like in 0.8xx versions
          - ini shutdown option wasn't working, fixed
          - fixed bug with resolution switching in full screen mode
          - fixed freezing problem with some skins under Windows 98
          * filters defined in bspfilters.dat will now be loaded even if other libraries are required (for ex. xvid.ax require xvidcore.dll), just put them all in .\filters directory
          + added option to open locked (in use) files
          + subtitle position will now also work when 'Draw subtitles to overlay surface option is checked'
          + Subtitle language for subtitles in Matroska files is now properly displayed

Version 1.00.808
          - Fixed inc/dec postprocessing shortcut for ffdshow
          - Fixed %FR tag in capture format
          - Fixed problems with big AVI files, if movie was paused and then 'frame step' function was used, after un-pause it would continue at random position
          - Fixed shutdown problem, computer didn't power off
          - Fixed bookmark editor
          - Fixed jump to time option, sometimes wrong time was displayed
          - Fixed filter property pages, wasn't working for audio files
          - Fixed RGB overlay, RGB overlay was never used even if it was selected
          - If OSD was disabled in Overlay mode and certain function was used (for ex. 'Change aspect ratio') picture disappeared, fixed
          - WinLIRC IP and port wasn't remembered, fixed
          - Fixes/changes with OGM subtitles and audio stream switching/support
          - It should run from CD now with .ini/.bsi files
          - Some other fixes with ini/bsi files
          - Sometimes window will go behind taskbar and wasn't visible, fixed
          - Fixed subtitle StartTime bug in .ini/.bsi files
          - Some other bug fixes and changes
          * Player will now use different settings file for every user (BSPlayer.USERNAME.xml)
          * Changed audio stream switching, multiple audio streams should be now detected for any file
          + Added some new command line options, description is in file .\doc\cmdline.txt
          + It's now possible to use text from language file for button descriptions in skin.ini, look in .\skins\Base\skin.ini for example
          + Movies with more parts will be now automatically added to playlist, when first part is open (for ex. Movie.CD1.avi -> Movie.CD2.avi)
          + Added option to disable history (recent files)
          + Added basic support for SSA subtitles (bold, italic, underline, font name and color codes are currently supported)
          + Added option to split subtitle line if it's too long
          + Added anamophic aspect ratio
          + It's now possible to set default Aspect and Pan-scan settings for items added to playlist
          
          30.04.2004 Update
          - Fixed broken shortcut for skins
          - Some fixes for systems with large fonts
          - Fixed bug in 'Jump to time' dialog, movie length was displayed twice
          - Subtitle position wasn't always remebered, fixed
          - Fixed another problem with audio streams in OGM files
          - Fixed some bugs with loading subtitles, sometimes wrong subtitle was loaded
                    
Version 1.00.806
          - Fixed resource leak in subtitle displaying routine (fixes 'Canvas does not allow drawing errors')
          - Fixed command line bug, second parameter (subtitles to load) was ignored
          - Fixed '-stime=x' command line option
          - When -fs command line option was used, mouse pointer didn't hide, fixed
          - 'Clear history' should work now
          - Fixed some problems with AVI files >= 2GB
          - Fixed some problems with subtitles in OGG files
          - If 'Auto load any subtitles in current directory' option was checked 
            and subtitle directory was set, first subtitle in this directory was loaded for every movie, fixed
          - Full screen skin is now displayed on right monitor
          - Some other bug fixes
          * Config file won't be overwritten when installing new version
          * Remember last movie position options now works
          * Bookmarks files are now compatible with old bookmark files
          + Added option to use or ignore display extension sequence in MPEG files
Version 1.00.805
          - Support for subtitles in OGM files was broken, fixed
          - Broken audio stream switching, fixed
Version 1.00.804
          - Fixed some bugs with OGM files
          - Fixed -asX command line option
          - If for ex. second audio stream was choosen and next movie has only one audio stream there was no sound, fixed
          - 'Add directory' playlist command, didn't add custom defined extension, fixed
          - Fixed problem with taskbar
          - Fixed bug with subtitles in Matroska files (part of previous subtitle was visible)
          - Fixed bug with 'scrambled' subtitles and OSD when 'Draw to overlay surface' option was enabled
          * In full screen skins when you move mouse over seek bar, it now shows time and % instead of only %
          * In Win9x window moving should be more smooth (like in 0.86 versions)
          + Added support for (SRT) subtitles embeded in AVI files (created for ex. with AVIMux GUI)
          + Added option to choose file name in 'Export bookmarks' dialog
          + Added support for multiple audio streams in MPEG files
          + It's now possible to assign double click to actions
          + Added option to load custom fonts for skins (look in .\Base\skin.ini file for syntax)
Version 1.00.803
          - Fixed bug with VMR9 and Windows Media files
          - If mouse button was assigned to some action it didn't always work, fixed
          - Fixed bug with Overlay mixer (black screen)
          - Winamp DSP plugins didn't load if audio stream was changed, fixed
          - Audio output device selection wasn't remembered, fixed
          - Fixed some problems with frame capture
          - Mouse cursor sometimes didn't dissapear in full screen mode, fixed
          - Fixed some problems with multi monitors
          - If video window was left on secondary monitor, position wasn't remembered, fixed
          - Fixed problem with volume and track button in some skins
            Also plugin for old skins is included so all old skins should work now.
          - Some other bug fixes
          * Changed subtitle loading rules, now subtitle with the same name as movie will be always loaded first
            (movie.avi -> 1st movie.sub, 2nd movie_en.sub, 3rd movie_xx.sub...)
          * Support for subtitles in OGG files is back, also subtitles in Matroska files are suppported now (UTF8)
          + It's now possible to assign different keys for full screen and windowed mode
            for ex. you can assign mouse wheel to resize window in windowed mode and
            to change volume in full screen mode
          + Added option to assign two keys to every action
          + Added fast forward and fast rewind options
          
Version 1.00.800

Version 0.86.501
Version 0.86.499
          Added option to keep original video size in full screen
          Improved multimonitor support
          Added support for VMR9 (Video Mixing Renderer 9), subtitles not supported yet
          It's now possible to assign actions to mouse buttons and mouse wheel, all sort of combinations also supoported
          Added code to convert captured image from YUV to RGB color space, it's should work on all graphics card now (you must enable this option)
          Added option to allow multiple instances
          Some fixes to resolution changes
          Some other bug fixes
Version 0.86.498
          Added option and shortcuts for setting hardware color controls (brightness,contrast...), if supported by hardware
          Fixed some problems with subtiles
          Fixed problem with some MPEG2 decoders (Unknown file format error...)
Version 0.86.497
          Fixed crash when MP3 was paused
          Support for Matroska format, you have to install Gabest Matroska source filter
          (http://prdownloads.sourceforge.net/guliverkli/MatroskaSplitter_20030614.zip?download)
          Added option to disable YV12 format
          Few other bugs fixed
Version 0.86.496
          Subtitles can now be dragged to player like movie files          
          Improved mp3 playback
          Added option to listen icecast/shoutcast (MP3 only) streams
          It's now possible to play incomplete AVI files
          Some subtitle fixes
          'Fixed' volume setting
          Some other bugs fixed
Version 0.86.494
          DivX networks changed interface again - fixed, new system, it won't crash anymore if it's changed again
          Problems with subtitles in ogg files fixed
          Still some problems with <b>,<i>,<u> tags in SRT subtitles
          
Version 0.86.493
          Added some more skin actions (look in .\doc\skin_actions.txt)
          Added options/shortcuts for inc/dec subtitle font size, move up/down subtitles and inc/dec brightness
          Added option to shutdown computer at the end of the movie
          Video window will now always stay resized to saved size (if this option is enabled)
          Added option to draw OSD messages to overlay surface (so it will be visible on TV) also
          added new shortcut to show movie time
          Support for font styles in .srt subtitles improved
          Fixed bug with -nsub command line options
          Added one more icon for file types and tray
          Some others bugs fixed
Version 0.85.492
          Added 'Process priority' option
          Added options to jump forward/backward for x seconds (customizable)
          In chapter viewer it's now possible to select (highlight) chapter with Prev/Next chapter shortucts
          and go to this chapter. Added shprtcut to go to highlighted chapter. Usefull for remote controls
          Added option to close movie at stop
          Added shortcut for 'Close file'
          Added support for font styles (<b>,<u>,<i>) in .srt subtitles
          Added shortucts for cycling video streams
          Directory for captured frames can now be customized
Version 0.85.490
Version 0.85.488
          Added options (and shortcuts) to increase/decrease playback rate
          Added shortcuts for setting post processing level (for DivX 4.x, 5.x, DivX 3.11, ffdshow filters)
          Temporary disabled Equalizer
          Some internal changes
Version 0.85.487
          Fixed some bugs with chapters
          Fixed bug with subtitles in OGM files (subtitles were displayed only for first 3 min)
Version 0.85.486
          Fixed problem with 'scrambled' subtitles when second movie was started
          Updated for DivX 5.0.2
Version 0.85.484
          Fixed bug with frame stepping with some files
          Fixed bug with not hidding mouse pointer
          When switching audio streams dedynamic filter was not loaded, fixed
          Fixed bug with subtitles in OGG files, subtitles should now work w/o need for Subtitle Mixer filter
          Added support for chapters in OGG files
          Improved Winamp DSP plugin support, all DSP plugins should work now
          Added tray icon (it will appear when you hide main window)
          Screen saver will be now deactivated only when movie is playing
          Player can now be controlled with windows messages, see files in .\sdk folder
Version 0.84.481
	  Add address and port option for WinLIRC
	  Fixed crash with some subttiles
	  Fixed problem with MPEG files (file was not closed properly)
	  Fixed bug with .ini 'Audio=A' option
Version 0.84.479
          Added support for multiple audio streams in OGG files
Version 0.84.476
          Outline font was sometimes turned off when changing subtitles and 'Draw to overlay surface' option was enabled
          Some more chapter bugs fixed
Version 0.84.475
          Fixed another chapter bug
          Added Borderless option
          Added option to always start movie in full screen mode
Version 0.84.474
          Fixed bug with VideoCD(.dat) files
          Fixed problems with Elecard MPEG decoder
          Intervideo AC3 settings were not saved under Win 2k/XP, fixed
          DivX 4 decoder shouldn't have flipped picture in RGB mode anymore
          Player will now search for .ini(*.bsi) files with any name on hard drives
          Fixed some problems with chapter viewer
Version 0.84.473
          Sometimes next/prev CD wasn't properly recognized, fixed
          All problems with chapters should be fixed
Version 0.84.472
          Frame stepping improved, it's now also possible to step backward, but only to the point where movie was paused
          Fixed some bugs in frame capture
          Fixed 'jumpy frames' bug when seeking with DivX 4.x codec
          In .ini files both [Chapters] and [ChaptersX] sections will be recognized
          Added shortcuts to change VobSub delay and speed from player
Version 0.84.470
          INI: Now it will only look for .ini (.bsi) file with the same name as the one on first CD.
               'Audio' and 'DefaultSub' line will be ignored after switch to 2nd (3rd...) CD, so
               it will keep settings from previous CD.
               Fixed subtitle loading bug with absolute path.
               When no chapters were defined, right click would crash player, fixed.
          MDVD codes are now also supported if 'Draw subtitles to overlay surface' option is checked
          Drag & drop now works for .ini and .bsi files too.
          Added 'frame step' function, when movie is paused and seek forward key is pressed(key 'Right' by default) player will step one frame,
          currenty only forward
          Video info, will now also show Title, Author, Copyright for AVI files
          It's now possible to select which filter will be used for playback look at bspfilters.sam file
Version 0.84.468
          INI: Added option Audio=A (Play all audio streams together) to .ini files
               Chapters handling fixed and improved, player will now ask for correct CD if youu choose chapter
               that is not on current CD (see .\doc\ini_files.html)
          Skins: Fixed problem with vertical buttons and transparency
                 Added option for full screen skin
          It's now possible to translate Key definitions text (see English.lng)
          All DirectShow filters should be now in .\filters\ directory
          Improved WinLIRC config, now you can just press key on remote and player will remember it
          Fixed aspect ratios with MPEG1 files
          Fixed bug with subtitles background color
          Some other stuff, but don't remember what....
Version 0.84.462
          Fixed propblem with some .ASX files
          When enabled 'Draw subtitles to Overlay surface' option and subtitles was manually loaded,
          font was reset to default, fixed
          When enabled 'Draw subtitles to Overlay surface' option and audio stream was changed
          player crashed, fixed
Version 0.84.461
          INI system changes, .ini file must be now on every CD (see ini_files.html)
          Now it stays in Desktop mode when new file is opened.
          Main window is now minized when in desktop mode
          'Auto select' option now always puts subtitles under movie in full screen mode
          Fixed bug with uncompressed movies

Version 0.84.460
          Keys can now be redefined
          All actions can be assigned to WinLIRC buttons
          Added shortcuts for cycling between audio streams and subtitles
          Added option to set volume for every audio stream separately
          Audio stream names are now taken form .AVI file or .ini file<br>
          Added option for outline font
          Added support for .asx playlists
          New .ini options AudioName, StartTime,DefaultSub (look in .\doc\ini_files.html)
          Fixed bug when sometimes movie framerate was reported incorrect
          Sometimes in full screen mode some programs (ICQ..) was still on top, fixed
          ...
Version 0.84
          New rendering engine
          More subtitle format supported and added support for MDVD control codes
          Added support for Winamp DSP plugins
          Added support for chapters and movies on 2 or more CDs,
          new shortcuts Ctrl+Z/B - Prev/Next chapter, Shift+Z/B - Prev/Next CD,
          you can also use Ctrl/Shift with muse and next/prev buttons
          Added color controls (Brightnes, Contrast...) for MPEG4 files
          Added option to remember all settings for every movie played
          Added option to auto show main window on mouse move
          Added Desktop mode option
          Added over-scan option (4,6,8,2,5 keys on numeric keyboard in full screen mode)
          'Progressive rendering' option is back
          Added support for DivX 4
          Added support for Dedynamic filter
          Added option to draw subtitles to Overlay surface (usefull for Matrox users)
          Added support for RGB overlays
          Added support for subtitles in AVI files (created with SubMux)
          Added comamnd line option for setting Aspect ratio (ex. -ar=16:9)
          Improved multi audio stream support, now you can choose which streams should play,
          all stremas can also be played together.
          Improved support for external audio files, now you can add more than one file
          and also choose which one should play
          Subtitle font can now be anti-aliased
          OSD font can now be changed
          Limited multi-monitor support
          Some INI files fixes and additions
          Some skins additions, now almost every player command can have it's own button
          Finnaly fixed annoying bug, where DivX 3 settings was set to 0
          Player is now compatible with NT 4
          Decoder filters can now be dynamically loaded
          Some other changes and bug fixes


Version 0.833
          Added option to remember last movie played
          Fixed bug with Win 2k, there were problems if player was not run under Administrator account
          Fixed bug with seeking, when external audio file was loaded
          Some .ini file fixes, now all paths are relative to location of .ini file
          .ini files have now also .bsi extension, so you can simply click on this file and run everything
          Some other bug fixes
Version 0.832
          Fixed not playing OpenDivX files bug
Version 0.831
          Improved bookmarks and added bookmarks editor
          Added recent file list
          Added EQ (DirectX 8 required)
          Fixed resize bug in fullscreen
          Sometimes not all audio streams were find - fixed
          Fixed bug with seeking if Overlay was selected
          Some other bug fixes
Version 0.83
          Added Option for external audio file
          Added 'Save as' option
          Added better WinLIRC configuration
          Added option to switch between time and frames
          Added option to change resolution when switching to full screen mode
          Added option to 'scroll' video in Pan scan mode (middle mouse button)
          Added bookmarks
          Video can now be resized in full screen mode (+/- keys)
          Added shortcuts for aspect ratios Shift+1/2/3 for Org/16:9/4:3 and A for cycling through all aspect ratios
          Fixed some bugs with subtitles, more than 2 lines are supported now
          Some ini file fixes
          Some other bug fixes and additions
Version 0.823
          Added option to save AC3 and DivX ;-) settings
          Added "shadow" effect option for subtitles
          Fixed "freezing" problems, when switching full screen, closing player...
          Some other changes and bug fixes
Version 0.821
          Fixed bug with .ini files
          More than 2 audio streams supported
Version 0.82
          Added support for zipped skins (.bsz), just click on .bsz file to install skin
          Added support for WinLIRC Infrared Remote Control - http://home.jtan.com/~jim/winlirc/
          Added support for AVI files with AC3 stream and InterVideo Audio decoder
          Added support for multichannel AVI files and Semi's DirectSound 3D filter
          Added support for ini files, look at bsplay.ini for example, also MicroDVD ini files are supported (minimal)
          Added checking for vertical-blank interval should fix "tearing" effect visible during high motion scenes
          Added option to switch to specified display mode on startup
          Added option to specify subtitles directory
          Added support for overlay (bugs!)
          Command line additions and changes, see About
          Some improvements to playlist
          Movie can now be paused and resumed with mouse click on the window
          Fixed bug with resolution changing, now original mode is restored at exit
          Fixed some bugs with language files
          Fixed Enqueue in BSPlayer, player crashed if wasn't already started
          Fixed bug with multichannel AVI files, only worked if both streams was the same bitrate, stereo/mono...
          Some other fixes and changes
Version 0.81
          Added custom aspect ratios
          Volume can be set with left/middle mouse button+wheel or just wheel in full screen
          Added 'repeat all' option
          Updated language file
          Fixed problems with 'Pause' mode
          Skin fixes and additions
          Some other changes and bug fixes
Version 0.8
          Supported AVI files with 2 audio streams (experimental)
          Multilanguage support
          Now you can resize movie with mouse wheel
          Added shortcuts fot 50,100,200% zoom (1,2,3) and resizing movie (+/-)
          Added 16:9 and 4:3 aspect ratio option
          Subtitle font, custom pan-scan... is now remebered - optional
          Skin fixes and additions
          Fixed bug, if movie width was more then current screen resolution
          Fixed problem with some subtitles, sometimes lost sync
          Some other changes and bug fixes
          A lot of internal changes and added code so probably some new bugs
Version 0.71
          Mouse cursor now hidden in full screen mode
          Added 'Enqueue in BSPlayer' shell extension
          Playlist improved
          Some other fixes and added features
Version 0.7
          Improved skin support, now skins can be any shape, size and transparent
          Frame capture added, shortcuts P - original size and Shift+P - current window size, including full screen
          Added option to choose between transparent subtitles and subtitles with background
          Added Mute option
          Added Jump to time option
          Fixed few bugs
Version 0.63
          Fixed bug with resolution changing, mainly visible if you turn on TV out on some cards
Version 0.62
          Added command line support for subtitles
          Added repeat option
Version 0.61
          Fixed bug with playlist
Version 0.6
          Added support for SubRip and Subviewer subtitle format
          Playlist support
          Added filter properties option
          More colors to choose for subtitles
          Some other requested features
          Fixed few bugs
          Some internal changes
Version 0.52
          Added 'subtitle time correction', use ctrl + left/right for large steps and shift + left/right for small
          Added Alway on top option
          Added progressive rendering option - can improve playback on some computers
          Fixed bug with large fonts and some other bugs
          New shortcuts for Play(X), Stop(C), Pause(V)
          
Version 0.51
          Fixed stupid bug with new option.
          Added option for registering file types.
          Only warning message, if hardware isn't capable of bliting and stretching.
Version 0.5
          Added 'Custom Pan&Scan' option, useful for movies with black bars on 
          the top and bottom.
          Added option to use alternate disectshow filter for DivX -> improved DivX playback
          on slower computers (Thanks to Erzig for help on this).
          Keyboard shortcuts for backward, forward, volume, subtitles and full 
          screen.
          A few bug fixes.
Version 0.41
          Fixed bug with skins.
          Added option to load subtitles from any directory.
Version 0.4
          A few bugs fixed. Some new features.
          Simple command line support (many req):
          bplay "Movie Name.avi" -fs ,  -fs is for full screen and is optional.
          Drag & drop support.
          Basic skin support. Look in .\skins\base\ for example.
Version 0.3
          Does not use windows media player control anymore.
          Support Micro-DVD subtitle format, support for SubRip format (.srt)
          will be back in next version.
          Too many changes too list
Version 0.2
          A lot of bugs fixed and a few features added.
          Resolution changing still doesn't work as it should, will be corrected 
          in 0.3
          All problems with subtiles color, font, position..., will be corrected 
          in 0.4(?)
          For now I use SAMI captioning of windows media player control. This 
          will change in next versions.
Version 0.1
        BSplayer v 0.1 released (first public release)